WiPay
WAPIsv2.0.2Transactions

Retrieve Transaction

Retrieve a single transaction by its ID.

GET
/transactions/{transaction_id}
AuthorizationBearer <token>

OAuth2 access token obtained from POST /auth/tokens.

In: header

Path Parameters

transaction_idstring

Unique transaction identifier.

Response Body

curl -X GET "https://tt.wipayfinancial.com/wapi/transactions/string"
{
  "message": "string",
  "data": {
    "card": "string",
    "currency": "string",
    "currency_credited": "string",
    "customer_address": "string",
    "customer_email": "string",
    "customer_name": "string",
    "customer_phone": "string",
    "data": "string",
    "date": "2019-08-24T14:15:22Z",
    "fee_structure": "string",
    "hash": "string",
    "message": "string",
    "order_id": "string",
    "origin": "string",
    "receiver": "string",
    "status": "success",
    "status_desc": "string",
    "total": "string",
    "total_credited": "string",
    "transaction_id": "string"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}